Skip to navigation

Patch project resources

View as Markdown
Partial updates to specific items in the list. Should be used for update one or more attributes of an item without modifying the entire resource.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

projectIdstringRequired
The project id

Request

Project resources to patch.
nodePoolobject or nullOptional
The node pool to which this resource configuration applies.
gpuobjectOptional

Defines the GPU quota assignment, maximum GPU device allocation, and weight assigned that determines the fairshare of over-quota resources.

cpuobject or nullOptional
memoryobject or nullOptional
rankstring or nullOptionalDefaults to MediumLow

The scheduling rank of this org-unit within the node pool. Determines the scheduling order of workloads between org-units. Workloads in higher-ranked org-units are scheduled before workloads in lower-ranked org-units. For example, all workloads in rank “High” will be scheduled before all workloads in rank “Medium”.

Response

Updated
gpuobject
nodePoolobject or nullOptional
The node pool to which this resource configuration applies.
cpuobject or nullOptional
memoryobject or nullOptional
rankstring or nullOptionalDefaults to MediumLow

The scheduling rank of this org-unit within the node pool. Determines the scheduling order of workloads between org-units. Workloads in higher-ranked org-units are scheduled before workloads in lower-ranked org-units. For example, all workloads in rank “High” will be scheduled before all workloads in rank “Medium”.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error